Page MenuHomePhabricator

Special:Contributions on meta.wikimedia.org: associated=1: "PHP fatal error: Call to undefined method MediaWiki\MediaWikiServices::getAssociated()"
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2019, 12:24 PM

Change 510715 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[mediawiki/core@master] Follow-up I2fef157c: Add missing getNamespaceInfo call to ContribsPager chain

https://gerrit.wikimedia.org/r/510715

ToBeFree added a comment.EditedMay 16 2019, 12:26 PM

The link is known to have worked at 2019-05-01T18:45:33 UTC.

Aklapper renamed this task from Special:Contributions on meta.wikipedia.org: associated=1 suddenly broken to Special:Contributions on meta.wikimedia.org: associated=1: "PHP fatal error: Call to undefined method MediaWiki\MediaWikiServices::getAssociated()".May 16 2019, 12:27 PM
Aklapper added a project: Regression.

Change 510716 had a related patch set uploaded (by Alex Monk; owner: Alex Monk):
[mediawiki/core@wmf/1.34.0-wmf.5] Follow-up I2fef157c: Add missing getNamespaceInfo call to ContribsPager chain

https://gerrit.wikimedia.org/r/510716

Change 510715 merged by jenkins-bot:
[mediawiki/core@master] Follow-up I2fef157c: Add missing getNamespaceInfo call to ContribsPager chain

https://gerrit.wikimedia.org/r/510715

Krenair closed this task as Resolved.May 16 2019, 3:23 PM

merged on master, James is handling deployment now

Change 510716 merged by jenkins-bot:
[mediawiki/core@wmf/1.34.0-wmf.5] Follow-up I2fef157c: Add missing getNamespaceInfo call to ContribsPager chain

https://gerrit.wikimedia.org/r/510716

Mentioned in SAL (#wikimedia-operations) [2019-05-16T15:35:46Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.5/includes/specials/pagers/ContribsPager.php: Hot-deploy Contribs getNamespaceInfo UBN fix T223440 (duration: 00m 53s)